org.jboss.jca.validator

## Class ValidatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.jca.validator.ValidatorException

- All Implemented Interfaces:
    java.io.Serializable

      public class ValidatorException
      extends java.lang.Exception

  Represents a failure in the validator chain
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorException(java.lang.String message, java.util.Collection<Failure> failures)` Constructs a new exception with the specified detail message.
    `ValidatorException(java.lang.String message, java.util.Collection<Failure> failures, java.lang.Throwable cause)` Constructs a new exception with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<Failure>` | `getFailures()` Get the collection of failures

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorException

          public ValidatorException(java.lang.String message,
                                    java.util.Collection<Failure> failures)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - The message
        `failures` - collection of failures

    - #### ValidatorException

          public ValidatorException(java.lang.String message,
                                    java.util.Collection<Failure> failures,
                                    java.lang.Throwable cause)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - The message
        `failures` - collection of failures
        `cause` - the cause to be chained

  - ### Method Detail

    - #### getFailures

          public java.util.Collection<Failure> getFailures()

      Get the collection of failures
      Returns:
        failures

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)